Subject: dcbz not used on ppc64?

From: Chris Friesen <[email-masked]>
Date: Mon, 03 Jan 2005 16:54:17 -0600

I ran into some issues with the use of the dcbz instruction in the 
kernel for ppc32.  I'm now looking at porting our work to ppc64, and 
when I looked around a bit, I found that the dcbz instruction doesn't 
appear to be used in ppc64.

This leads me to ask:

1) Is it in fact true that ppc64 does not use dcbz in the kernel?
2) If so, why not?  Presumably it would be a win in some cases, 
otherwise they wouldn't be using it in ppc32.  Is there some other 
factore in play for ppc64?

Thanks,

Chris